aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-05-02 21:20:29 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-05-03 15:02:21 +0000
commit831a48e009876905b95a5a8bfc4922bc1f588acb (patch)
treec3570de8b41be3618072698059fd47cb66379589
parent9cb0c5e0cf0077bb2bdaef071f7f9daa43ba70af (diff)
downloadaports-831a48e009876905b95a5a8bfc4922bc1f588acb.tar.gz
aports-831a48e009876905b95a5a8bfc4922bc1f588acb.tar.bz2
aports-831a48e009876905b95a5a8bfc4922bc1f588acb.tar.xz
main/ldapvi: add missing dependency on ncurses-dev and some minor fixes
-rw-r--r--main/ldapvi/APKBUILD32
1 files changed, 13 insertions, 19 deletions
diff --git a/main/ldapvi/APKBUILD b/main/ldapvi/APKBUILD
index 36fe449f1d..fd172a74e4 100644
--- a/main/ldapvi/APKBUILD
+++ b/main/ldapvi/APKBUILD
@@ -2,46 +2,40 @@
# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
pkgname=ldapvi
pkgver=1.7
-pkgrel=3
+pkgrel=4
pkgdesc="ldapvi is an interactive LDAP client for Unix terminals"
url="http://www.lichteblau.com/ldapvi/"
arch="all"
license="GNU"
depends=""
-depends_dev="openldap-dev popt-dev readline-dev glib-dev"
-makedepends="$depends_dev"
-install=""
+makedepends="ncurses-dev openldap-dev popt-dev readline-dev glib-dev"
subpackages="$pkgname-doc"
source="http://www.lichteblau.com/download/${pkgname}-${pkgver}.tar.gz
GNUmakefile.in.diff
ldapvi_vim_modeline_fix.patch
ldapvi_getline.patch"
+builddir="$srcdir/${pkgname}-${pkgver}"
-_builddir=$srcdir/${pkgname}-${pkgver}
prepare() {
- local i
- cd "$_builddir"
- patch -Np0 -i "$srcdir"/GNUmakefile.in.diff
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ cd "$builddir"
+ patch -Np0 -i "$srcdir"/GNUmakefile.in.diff || return 1
+
+ default_prepare # apply patches
}
build() {
- cd "$_builddir"
- ./configure --prefix=/usr
- make
+ cd "$builddir"
+ ./configure --prefix=/usr && make
}
package() {
- cd "$_builddir"
- mkdir -p "$pkgdir/usr/bin" "$pkgdir/usr/share/doc/ldapvi" \
+ cd "$builddir"
+ mkdir -p "$pkgdir/usr/bin" "$pkgdir/usr/share/doc/ldapvi" \
"$pkgdir/usr/share/man/man1"
- make DESTDIR="$pkgdir" MANDIR="$pkgdir"/usr/share/man/man1 \
+ make DESTDIR="$pkgdir" MANDIR="$pkgdir"/usr/share/man/man1 \
DOCDIR="$pkgdir/usr/share/doc/ldapvi" install || return 1
}
+
md5sums="6dc2f5441ac5f1e2b5b036e3521012cc ldapvi-1.7.tar.gz
615743d94e3353f0d0f72ba488746e04 GNUmakefile.in.diff
fbd6e48d389196b73f1a38be5539a47d ldapvi_vim_modeline_fix.patch